Subject: Re: libtool
From: "Gary V. Vaughan" <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: Robert Collins <[email-masked]>, [email-masked]
Date: Thu, 7 Sep 2000 18:55:50 +0100

On Thu, Sep 07, 2000 at 06:34:30AM -0700, Earnie Boyd wrote:
> --- "Gary V. Vaughan" <[email-masked]> wrote:
> > 
> > What has changed in the build procedure for cygwin dlls between b20.1
> > (where I had tested all the changes I made to libtool for dll
> > generation) and cygwin-1.1.2 (where it no longer works) =(O|
> > 
> 
> One of the things that changed that might affect this is the handling of paths
> with a \ in the string.  So, that \usr is not the same as /usr.  Could this be
> the problem?  I don't know I have tried libtool recently.

I don't think so.  Internally, libtool always uses '/' delimitters.
It *should* propogate '\' correctly on cygwin if such a path is passed
in by automake or somesuch -- however, if not, it has always been
broken, and isn't a new problem.

I'll upgrade to cygwin 1.1.4 and post some traces later tonight in the
hope that someone can make more sense of them than I can.

Cheers,
	Gary.
-- 
  ___              _   ___   __              _         mailto: [email-masked]
 / __|__ _ _ ___ _| | / / | / /_ _ _  _ __ _| |_  __ _ ___       [email-masked] 
| (_ / _` | '_|// / |/ /| |/ / _` | || / _` | ' \/ _` | _ \
 \___\__,_|_|\_, /|___(_)___/\__,_|\_,_\__, |_||_\__,_|//_/
home page:  /___/                      /___/                  gpg public key:
http://www.oranda.demon.co.uk           http://www.oranda.demon.co.uk/key.asc

--
Want to unsubscribe from this list?
Send a message to [email-masked]